<html>

<head>
    <title>
        js objects:
    </title>
</head>

<body>
    <p id="demo"></p>
    //object{ property:value} car
    <script>
        const car = {
            name: "VW",
            color: "blue",
            nameColor: function() {
                return this.name + " " + this.color;
            }
        }
        car.start();
        car.stop();
        car.brake();

        //(property = name, color)(property-value=vw,blue)
        //car.name ,car['name'] to ascertain property value of an object
        //object have methonds- it performs actions on the object

        //car.nameColor -returns functiond efination
        // ƒ() {
        //     return this.name + " " + this.color;
        // }
        // car.nameColor() - returns the output
        // 'VW blue'
        //if you declare a variable with keyword new, the created variable is an object.
        x = new String()
        x = new Number()
        x = new Boolean()
            // you should never declare string ,number and boolean as object
        function displayDate() {
            document.getElementById("demo").innerHTML = Date();

        }
    </script>
    <button onclick="document.getElementById('demo').innerHTML=Date(); ">click me</button>
    <button onclick="displayDate()">click me</button>
</body>

</html>